#include "locmin.h"
std::pair<int, int> find_locmin_point(int N, int M){
    N=1;
    int st=1,dr=M,mij,a,b,c;
    while(st<dr){
        mij=(st+dr/2);
        a=value(1,mij-1);
        b=value(1,mij);
        c=value(mij+1);
        if(a>b && c>b){
            return {1,mij};
        }
        else if(a>b){
            st=mij;
        }
        else if(c>b){
            dr=mij;
        }
    }
    return {1,st};
}